SQLITE3_DROP_MODULES(3) | Library Functions Manual | SQLITE3_DROP_MODULES(3)

# NAME

`sqlite3_drop_modules` — remove unnecessary virtual table implementations

# SYNOPSIS

`#include <sqlite3.h>`

int
`sqlite3_drop_modules`(sqlite3 *db, const char **azKeep);

# DESCRIPTION

The sqlite3_drop_modules(D,L) interface removes all virtual table modules from database connection D except those named on list L. The L parameter must be either NULL or a pointer to an array of pointers to strings where the array is terminated by a single NULL pointer. If the L parameter is NULL, then all virtual table modules are removed.

# IMPLEMENTATION NOTES

These declarations were extracted from the interface documentation at line 7576.

    SQLITE_API int sqlite3_drop_modules(
      sqlite3 *db,                /* Remove modules from this connection */
      const char **azKeep         /* Except, do not remove the ones named here */
    );

# SEE ALSO

sqlite3_create_module(3)

January 24, 2024 | NetBSD 11.0